| Error Code | Message | Solution |
|---|---|---|
| 1000 | unknown error | Please retry your requests later. |
| 1001 | request timeout | Please retry your requests later. |
| 1002 | rate limit | Please retry your requests later. |
| 1004 | not authorized / token not match group / cookie is missing, log in again | please check your API Key and make sure it is correct and active. |
| 1008 | insufficient balance | Please check your account balance. |
| 1024 | internal error | Please retry your requests later. |
| 1026 | input new_sensitive | Please change your input content. |
| 1027 | output new_sensitive | Please change your input content. |
| 1033 | system error / mysql failed | Please retry your requests later. |
| 1039 | token limit | Please retry your requests later. |
| 1040 | input audio sensitive | Please change your input audio. |
| 1041 | conn limit | Please contact us if the issue persists. |
| 1042 | invisible character ratio limit | Please check your input content for invisible or illegal characters. |
| 1043 | The asr similarity check failed | Please check file_id and text_validation. |
| 1044 | clone prompt similarity check failed | Please check clone prompt audio and prompt words. |
| 1045 | rate limit exceeded(task concurrency) | Please wait for running tasks to finish before submitting new ones. |
| 1046 | prompt rejected by identity policy | Please remove identity claims from your prompt and try again. |
| 2013 | invalid params / glyph definition format error | Please check the request parameters. |
| 20132 | invalid samples or voice_id | Please check your file_id(in Voice Cloning API), voice_id(in T2A v2 API, T2A Large v2 API) and contact us if the issue persists. |
| 2014 | empty input | Please check your input content. |
| 2022 | model is not exist | Please check the model parameter and make sure you have access to this model. |
| 2037 | voice duration too short / voice duration too long | Please adjust the duration of your file_id for voice clone. |
| 2038 | voice clone user forbidden | Voice cloning requires identity verification. Please complete individual or business verification under Account Management > Account Info. |
| 2039 | voice clone voice id duplicate | Please check the voice_id to ensure no duplication with the existing ones. |
| 2042 | You don’t have access to this voice_id | Please check whether you are the creator of this voice_id and contact us if the issue persists. |
| 2043 | The model does not support this voice_id | Please use a different voice_id or model. |
| 2045 | rate growth limit | Please avoid sudden increases and decreases in requests. |
| 2046 | token growth limit | Please avoid sudden increases and decreases in token usage. |
| 2047 | conn growth limit | Please avoid sudden increases and decreases in connections. |
| 2048 | prompt audio too long | Please adjust the duration of the prompt_audio file (< 8s). |
| 2049 | invalid API Key | Please check your API Key and make sure it is correct and active. |
| 2051 | audio quality check for file_id failed | Please use a clear audio file without obvious noise. |
| 2052 | insufficient voice slot | Please upgrade your plan or delete existing cloned voices to free up slots. |
| 2053 | insufficient credit | Please purchase credits or upgrade your plan. |
| 2054 | voice id not exist | Please check the voice_id. |
| 2056 | usage limit exceeded | Please wait for the resource release in the next 5-hour window. |
| 2057 | not token plan token | Please call this endpoint with your M Plan Subscription Key. |
| 2061 | your current token plan not support model | Please use a different model or upgrade your plan. |
| 2062 | M Plan rate limit reached; when querying usage, it can also mean there is no active M Plan subscription | Please lower your request rate and concurrency and retry, or upgrade your plan or switch to pay-as-you-go API usage. When querying usage, make sure you have an active M Plan subscription. |
| 2064 | The server cluster is currently under high load | Please retry your requests later. |
| 2066 | The request timed out while processing | Please retry your requests later. |
| 2067 | usage limit reached and credit auto consumption is off | Please upgrade your plan, or buy credits and turn on auto consumption. |
| 2068 | The current plan tier does not support this model | Please upgrade your plan to use this model. |
| 2069 | model is no longer available | Please switch to an available model. See Model Releases. |
| 2160 | speech recognition service is temporarily unavailable | Please retry your requests later. |
Using the API
Error Codes
This document lists common MiniMax API error codes and solutions to help developers quickly resolve issues.